> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get aggregator usage

> Retrieve a usage row for an aggregator (name, unit and thresholds).



## OpenAPI

````yaml get /v1/aggregators/{id}/usage
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/aggregators/{id}/usage:
    get:
      tags:
        - Aggregators > Usage
      summary: Get aggregator usage
      description: Retrieve a usage row for an aggregator (name, unit and thresholds).
      operationId: getAggregatorUsage
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AggregatorUsage'
        '404':
          description: Aggregator not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      security:
        - bearer: []
components:
  schemas:
    AggregatorUsage:
      type: object
      properties:
        id:
          type: string
          description: Aggregator ID.
        name:
          type: string
          description: Display name.
        unit_name:
          type:
            - string
            - 'null'
          description: Unit name (e.g. 'request', 'user').
        thresholds:
          type: array
          items:
            $ref: '#/components/schemas/AggregatorUsageThreshold'
      required:
        - id
        - name
        - unit_name
        - thresholds
    AggregatorUsageThreshold:
      type: object
      properties:
        id:
          type: string
          description: Threshold ID.
        name:
          type:
            - string
            - 'null'
          description: Threshold name.
        value:
          type: number
          description: Threshold value.
        operator:
          type: string
          enum:
            - gte
            - lte
          description: Comparison operator for the threshold.
      required:
        - id
        - name
        - value
        - operator
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````